Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 821443 - log-rotate fails if the goe-rep session is through ssh
Summary: log-rotate fails if the goe-rep session is through ssh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Venky Shankar
QA Contact: Saurabh
URL:
Whiteboard:
Depends On:
Blocks: 817967
TreeView+ depends on / blocked
 
Reported: 2012-05-14 13:52 UTC by Vijaykumar Koppad
Modified: 2016-01-19 06:09 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-24 17:09:08 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa45


Attachments (Terms of Use)

Description Vijaykumar Koppad 2012-05-14 13:52:10 UTC
Description of problem:If there is geo-rep session between master and slave through ssh, if you do log-rotate. It fails 


Version-Release number of selected component (if applicable):3.3.0qa41


How reproducible:always 


Steps to Reproduce:
1.start a geo-rep session between master and slave through ssh (master volume can be any type ) 
2.Try geo-rep log-rotate using the command 
gluster volume geo-rep <master> <slave> log-rotate 
  
Actual results: It fails with error 

[root@QA-16 ~]# gluster volume geo vol 172.17.251.56:/root/geo log-rotate
Error rotating log file
geo-replication command failed


Expected results:Log-rotate should succeed 


Additional info:


Note You need to log in before you can comment on or make changes to this bug.